# What's new in the Chathive docs?

The most recent updates includes file upload to both Chatbot and AI form.

## January 2026

* [Tool timeouts](/tools/overview.md#timeout)
* [Tool response body limit](/tools/overview.md#response-size)

## September 2025

* Fetch private projects through API
* Configure conversation timezone
* [Agent triggers api](/triggers/api-trigger.md)
* [Custom SDK events](/sdk/custom-tool-events.md)

## June 2025

* Allow file upload in the chatbot or AI form
* Layout changes to accommodate the file upload changes
* Crawler config changes
  * New config
    * **followRedirect** let's the crawler follow a redirected url and not see it as deleted
  * Updated config
    * **pathsToMatch** has been changed to a array to allow for more simpler regex patterns
    * **pathsToExclude** has been changed to a array to allow for more simpler regex patterns
  * Crawler will now log any errors with incorrectly configured  **pathsToMatch** or **pathsToExclude** regex patterns
* [Analytics REST API](/api/rest-api.md#analytics-endpoints)
  * Get conversation statistics&#x20;

## May 2025

* [Crawler login playbook](/crawler/crawler-config/login.md#playbook)
* Extended [Tools template variabels](/tools/overview.md#template-variabels) with conversation object

## April 2025

* Manage tags through the API

## February 2025

* [Chathive tools](/tools/overview.md)
* **Link** field add to customer&#x20;

## November 2024

* [Crawler overview page](/crawler/overview.md)
  * Fixed user agent
  * List with approved IP addresses
* Crawler can now crawl documents
  * Excel
  * Microsoft Word, Google Docs and LibreOffice
  * PDF
  * Powerpoint
  * Text, Markdown, richText
* Crawler config has been expended
  * &#x20;documentsToExclude
  * documentsToInclude

## October 2024

* [Sessions REST API](/api/rest-api.md#session-endpoints)
* AI form SDK [static methods](/sdk/ai-form/methods.md#static-methods)

## September 2024

* Updated Chathive's developer documentation
* [AI form SDK](/sdk/ai-form.md)

## August 2024

* [Crawler config](/crawler/crawler-config.md) added

## April 2024

* [Embed widget](/sdk/chatbot.md#embed-in-your-page) into your app
* Open widget on init
* Provide [customer data](/sdk/attributes.md#customer-data) to the SDK to identify you customers&#x20;
* Provide [context](/sdk/chatbot/methods.md#context) to the SDK to give the agent where information about the current customer

## March 2024

* New mobile design, Widget is now fullscreen when opened
* Add new SDK methods to [enable or disable notifications](/sdk/chatbot/methods.md#notifications)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.chathive.app/whats-new-in-the-chathive-docs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
